package com.adealink.weparty.im.session.comp.viewmodel

import com.adealink.frame.log.Log
import com.adealink.frame.mvvm.livedata.ExtMutableLiveData
import com.adealink.frame.mvvm.viewmodel.BaseViewModel
import com.adealink.weparty.im.session.comp.input.AudioInputStatus
import com.adealink.weparty.module.im.data.TAG_IM_AUDIO

class SessionAudioViewModel : BaseViewModel() {

    val audioInputStatusLD = ExtMutableLiveData<AudioInputStatus>()

    init {
        //默认开始状态STOP
        audioInputStatusLD.send(AudioInputStatus.RECORD_STOP)
    }

    fun changeStatus(status: AudioInputStatus) {
        Log.d(TAG_IM_AUDIO, "changeStatus, ${audioInputStatusLD.value} => $status")
        audioInputStatusLD.send(status)
    }

}